KDE 4.2 PyKDE API Reference

- KDE's Python API

# KFilterBase Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

This is the base class for compression filters such as gzip and bzip2. It's pretty much internal. Don't use directly, use KFilterDev instead.

Internal:

## Enumerations

Result | { Ok, End, Error }

## Methods

| __init__ (self)
| __init__ (self, KFilterBase a0)
KFilterBase.Result | compress (self, bool finish)
QIODevice | device (self)
int | inBufferAvailable (self)
bool | inBufferEmpty (self)
| init (self, int mode)
int | mode (self)
int | outBufferAvailable (self)
bool | outBufferFull (self)
bool | readHeader (self)
| reset (self)
| setDevice (self, QIODevice dev, bool autodelete=0)
| setInBuffer (self, QString data, long size)
| setOutBuffer (self, QString data, long maxlen)
| terminate (self)
KFilterBase.Result | uncompress (self)
| virtual_hook (self, int id, void data)
bool | writeHeader (self, QByteArray filename)

## Static Methods

KFilterBase | findFilterByFileName (QString fileName)
KFilterBase | findFilterByMimeType (QString mimeType)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KFilterBase | a0
| ) |  |  |

KFilterBase.Result compress | ( | self, |
|  | bool | finish
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

QIODevice device | ( |  | self ) |

Returns the device on which the filter will work.

Returns:
  the device on which the filter will work

KFilterBase findFilterByFileName | ( | QString | fileName
| ) |  |  |

Call this to create the appropriate filter for the file named fileName.

Parameters:

  | fileName | the name of the file to filter

Returns:
  the filter for the fileName, or 0 if not found

KFilterBase findFilterByMimeType | ( | QString | mimeType
| ) |  |  |

Call this to create the appropriate filter for the mimetype mimeType. For instance application/x-gzip.

Parameters:

  | mimeType | the mime type of the file to filter

Returns:
  the filter for the mimeType, or 0 if not found

int inBufferAvailable | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

bool inBufferEmpty | ( |  | self ) |

Internal:

init | ( | self, |
|  | int | mode
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

int mode | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

int outBufferAvailable | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

bool outBufferFull | ( |  | self ) |

Internal:

bool readHeader | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

reset | ( |  | self ) |

Internal:

setDevice | ( | self, |
|  | QIODevice | dev,
|  | bool | autodelete=0
| ) |  |  |

Sets the device on which the filter will work

Parameters:

  | dev | the device on which the filter will work
  | autodelete | if true, dev is deleted when the filter is deleted

setInBuffer | ( | self, |
|  | QString | data,
|  | long | size
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

setOutBuffer | ( | self, |
|  | QString | data,
|  | long | maxlen
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

terminate | ( |  | self ) |

Internal:

KFilterBase.Result uncompress | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

virtual_hook | ( | self, |
|  | int | id,
|  | void | data
| ) |  |  |

Virtual hook, used to add new "virtual" functions while maintaining binary compatibility. Unused in this class.

bool writeHeader | ( | self, |
|  | QByteArray | filename
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Internal:

## Enumeration Documentation

Result

Internal:

Enumerator:

  Ok |
  End |
  Error |